loci.formats.in.LeicaMicrosystemsMetadata

## Class LMSCollectionXmlDocument

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument
  - - loci.formats.in.LeicaMicrosystemsMetadata.LMSCollectionXmlDocument

- Direct Known Subclasses:
    XlcfDocument, XlefDocument

      public class LMSCollectionXmlDocument
      extends LMSXmlDocument

  This class represents an LMS xml file that references other LMS xml files such as xlcfs and xlifs.
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `LMSXmlDocument.InitFrom`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<LMSXmlDocument>` | `children`

    - ### Fields inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `dir, doc, filepath, LOGGER, parent, xPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LMSCollectionXmlDocument(java.lang.String filepath, LMSCollectionXmlDocument parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getChildrenFiles(boolean pixels)` Returns filepaths of all files which are referenced by this document.
    `java.util.List<XlifDocument>` | `getXlifs()` Returns all XlifDocuments referenced by this and by all referenced XlcfDocuments
    `protected void` | `initChildren()` Adds all referenced xlcfs and valid xlifs as children

    - ### Methods inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `fileExists, getAttr, GetChildWithName, getDoc, getFilepath, getParentFiles, nodeToString, parseFilePath, toString, xPath, xPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### children

          private java.util.List<LMSXmlDocument> children

  - ### Constructor Detail

    - #### LMSCollectionXmlDocument

          public LMSCollectionXmlDocument(java.lang.String filepath,
                                          LMSCollectionXmlDocument parent)

  - ### Method Detail

    - #### getXlifs

          public java.util.List<XlifDocument> getXlifs()

      Returns all XlifDocuments referenced by this and by all referenced XlcfDocuments
      Returns:
        list of xlifs as XlifDocuments

    - #### getChildrenFiles

          public java.util.List<java.lang.String> getChildrenFiles(boolean pixels)

      Returns filepaths of all files which are referenced by this document.
      Parameters:
        `pixels` - if true, image files in which pixels are stored are included
      Returns:

    - #### initChildren

          protected void initChildren()

      Adds all referenced xlcfs and valid xlifs as children

Copyright © 2026 Open Microscopy Environment